Bug 1239090 - Reload getty prompt when system address changes
Summary: Reload getty prompt when system address changes
Keywords:
Status: CLOSED CURRENTRELEASE
Alias: None
Product: Fedora
Classification: Fedora
Component: util-linux
Version: 23
Hardware: Unspecified
OS: Unspecified
unspecified
unspecified
Target Milestone: ---
Assignee: Karel Zak
QA Contact: Fedora Extras Quality Assurance
URL:
Whiteboard: AcceptedFreezeException
Depends On:
Blocks: F23AlphaFreezeException 1239089
TreeView+ depends on / blocked
 
Reported: 2015-07-03 13:09 UTC by Stef Walter
Modified: 2016-01-20 09:49 UTC (History)
5 users (show)

Fixed In Version: util-linux-2.27-0.2.fc23
Doc Type: Bug Fix
Doc Text:
Clone Of:
Environment:
Last Closed: 2015-08-24 12:05:02 UTC
Type: Bug


Attachments (Terms of Use)

Description Stef Walter 2015-07-03 13:09:51 UTC
The agetty process should reload its prompt when addresses on the system change if it is displaying addresses in its /etc/issue.

Comment 2 Stephen Gallagher 2015-07-28 13:06:03 UTC
Can we get an update on when this will land in Fedora? We're about to enter Alpha Freeze right now and we were really hoping to have this available at that point.

Comment 3 Fedora Blocker Bugs Application 2015-07-28 13:09:08 UTC
Proposed as a Freeze Exception for 23-alpha by Fedora user sgallagh using the blocker tracking app because:

 We want to get this functionality into the Alpha release in order to maximize testing. It's highly useful to users of the Fedora Server Edition.

Comment 4 Karel Zak 2015-07-28 14:04:12 UTC
I don't want to backport to Fedora a few days before util-linux v2.27-rc1. The new release will be definitely available for Beta Freeze.

I don't think that /etc/issue output is so critical and difficult to test that it has to be blocker.

Comment 5 Stephen Gallagher 2015-07-28 14:10:20 UTC
To be clear, I proposed it as a Freeze Exception, not a blocker. If accepted, it would mean that the build would be accepted during the Freeze period. It does not require them to be present in order to ship the Alpha.

Comment 6 Petr Schindler 2015-08-03 17:09:22 UTC
Discussed at today's blocker review meeting [1].

This bug was accepted as Alpha Freeze Exception - We would consider a fix for this issue during Alpha freeze.

[1] http://meetbot.fedoraproject.org/fedora-blocker-review/2015-08-03/

Comment 7 Stephen Gallagher 2015-08-20 13:00:23 UTC
Karel, this package isn't in Fedora 23 because you built it after Bodhi was enabled. Please create an update so we can get it into Beta.

Comment 8 Karel Zak 2015-08-20 21:00:21 UTC
(In reply to Stephen Gallagher from comment #7)
> Karel, this package isn't in Fedora 23 because you built it after Bodhi was
> enabled. Please create an update so we can get it into Beta.

This is what:
https://bodhi.fedoraproject.org/updates/util-linux-2.27-0.2.fc23

bodhi is wrong with it?

Comment 9 Stephen Gallagher 2015-08-24 11:52:16 UTC
Huh, strange. I looked for it when I was making that comment and I would have sworn it wasn't there. I may have done something stupid like searching for 'getty' instead of 'util-linux'. Sorry for the noise.


Note You need to log in before you can comment on or make changes to this bug.